<?xml version="1.0" encoding="UTF-8"?>
<ROOT>
    <BUSINESSCLASS  name="NotificationTemplate" package="performa.orm">
        
        <IMPORT value="performa.orm.types.*"/>
        <IMPORT value="performa.orm.*"/>
        
        <TABLE  name="tl_notification_template" tablePrefix="object"    polymorphic="FALSE">
            <ATTRIB name="NotificationType"     type="NotificationType"     dbcol="notification_type"       mandatory="true"    defaultValue="NotificationType.TRIAL"   attribHelper="EnumeratedAttributeHelper"    />
            <ATTRIB name="DaysAfter"            type="Integer"              dbcol="days_after"              mandatory="true"    defaultValue="0"  />
            <ATTRIB name="NotificationContent"  type="String"               dbcol="notification_content"    mandatory="true"    />

        </TABLE>
        
        <SEARCH type="All" paramFilter="tl_notification_template.object_id is not null"  />
        
    </BUSINESSCLASS>
</ROOT>